Bug Hunting Session
Bug 74795 - Table row padding not honoured in RTF import
Summary: Table row padding not honoured in RTF import
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5 all versions
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.2.0 target:5.1.4
Keywords:
Depends on:
Blocks: RTF-Tables
  Show dependency treegraph
 
Reported: 2014-02-10 14:34 UTC by Bernard Moreton
Modified: 2017-10-05 22:07 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
RTF document with simple table (6.30 KB, application/rtf)
2014-02-10 14:34 UTC, Bernard Moreton
Details
corrected RTF document with simple table (6.30 KB, application/rtf)
2014-02-10 14:50 UTC, Bernard Moreton
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Moreton 2014-02-10 14:34:09 UTC
Created attachment 93778 [details]
RTF document with simple table

Table row padding is saved to RTF file by Writer, but on re-opening the document it is ignored.
Comment 1 Bernard Moreton 2014-02-10 14:48:43 UTC
Correction - I don't think that Writer does save the formatting correctly.  But I amended trpaddl0 to trpaddl360, and the import still ignores the left padding.
Comment 2 Bernard Moreton 2014-02-10 14:50:05 UTC
Created attachment 93779 [details]
corrected RTF document with simple table
Comment 3 A (Andy) 2015-04-06 19:42:35 UTC
Reproducible with LO 4.4.1.2, Win 8.1: the indent is not shown
Comment 4 tommy27 2016-04-16 07:28:36 UTC Comment hidden (obsolete)
Comment 5 Andras Timar 2016-04-16 08:00:51 UTC
I confirm that the bug is present in Version: 5.2.0.0.alpha0+
Build ID: cd1b2f923e0b0be89a5d1c8cbc647133aac09ed5

Table cell padding is present when the file is viewed in MS Office 2010, and it is missing in Writer.
Comment 6 Miklos Vajna 2016-05-20 16:15:45 UTC
Problem is that \trpaddf* and \trpadd* is not implemented in the importer, I'll look at that.
Comment 7 Commit Notification 2016-05-25 14:46:00 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=db1a4f8d1d44351ca65742d3d94371a0c0536ff2

tdf#74795 RTF import: handle row-level default cell margins

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-05-26 08:45:10 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=009c3917aa2df93c6476cbaa2b5117a60a113316&h=libreoffice-5-1

tdf#74795 RTF import: handle row-level default cell margins

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.